> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tenbyte.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Videos

> Retrieves a list of all videos within a specific library.
Supports filtering, pagination, and sorting to allow efficient browsing of video content.



## OpenAPI

````yaml https://raw.githubusercontent.com/vidinfra/open-api-docs/refs/heads/main/openapi.json get /libraries/{libraryId}/videos
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers:
  - url: https://api.tenbyte.io/v1/vidinfra
    description: Production server
security:
  - bearer: []
tags:
  - name: Library
  - name: Folder
  - name: Video
  - name: Subtitle
  - name: Video Thumbnails
  - name: Transcoding Profiles
  - name: Player Themes
  - name: Video Chapter
  - name: Webhook Endpoints
  - name: Webhook Deliveries
  - name: Security
  - name: Video Multipart Upload
  - name: Webhook
  - name: Migration Jobs
paths:
  /libraries/{libraryId}/videos:
    get:
      tags:
        - Video
      summary: List Videos
      description: >-
        Retrieves a list of all videos within a specific library.

        Supports filtering, pagination, and sorting to allow efficient browsing
        of video content.
      parameters:
        - name: libraryId
          in: path
          description: Unique identifier of the library.
          required: true
          example: 314221a1-3cbf-4d3c-846e-f6c22bc43064
          schema:
            type: string
        - name: limit
          in: query
          description: ''
          required: false
          example: '2'
          schema:
            type: string
        - name: folder_id
          in: query
          description: Get videos under folder
          required: false
          example: a7f590b4-3fd7-42a4-82bb-a7cfa6aa9d04
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties: {}
              example:
                data:
                  - id: a927290e-b0ae-4d27-a46d-50089ead2610
                    name: Test video updated
                    description: this is my description updated
                    status: created
                    library_id: 0a7e7664-28fd-4d19-a715-855e14d8889f
                    organization_id: a7f590b4-3fd7-42a4-82bb-a7cfa6aa9d04
                    folder_id: 1d5abf89-295c-45f0-bc21-bcb9185bb9f2
                    metadata:
                      note: this is my meta data updated
                    duration_seconds: null
                    size_bytes: null
                    raw_size_bytes: null
                    created_at: '2025-10-20T17:31:57.400917+06:00'
                    updated_at: '2025-10-20T17:37:55.641895+06:00'
                  - id: d833827a-d89a-4afd-ab29-7a95d13480ac
                    name: Test video
                    description: ''
                    status: created
                    library_id: 0a7e7664-28fd-4d19-a715-855e14d8889f
                    organization_id: a7f590b4-3fd7-42a4-82bb-a7cfa6aa9d04
                    folder_id: 1d5abf89-295c-45f0-bc21-bcb9185bb9f2
                    metadata: {}
                    duration_seconds: null
                    size_bytes: null
                    raw_size_bytes: null
                    created_at: '2025-10-20T16:52:07.192483+06:00'
                    updated_at: '2025-10-20T17:55:11.353401+06:00'
                  - id: 6de7846d-febc-470a-8327-93dd58b8b032
                    name: Test video
                    description: this is my description
                    status: created
                    library_id: 0a7e7664-28fd-4d19-a715-855e14d8889f
                    organization_id: a7f590b4-3fd7-42a4-82bb-a7cfa6aa9d04
                    folder_id: 1d5abf89-295c-45f0-bc21-bcb9185bb9f2
                    metadata:
                      note: this is my meta data
                    duration_seconds: null
                    size_bytes: null
                    raw_size_bytes: 158008374
                    created_at: '2025-10-20T18:52:34.025139+06:00'
                    updated_at: '2025-10-20T18:52:34.025139+06:00'
                message: Videos fetched successfully
                success: true
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
                required:
                  - message
                  - success
              example:
                message: Invalid Request
                success: false
          headers: {}
        '401':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                  message:
                    type: string
                  success:
                    type: boolean
                required:
                  - code
                  - message
                  - success
              example:
                code: auth_type_not_found
                message: >-
                  Could not determine authentication type from request. Please
                  provide a valid Authorization header or X-API-Key header.
                success: false
          headers: {}
        '404':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
                required:
                  - message
                  - success
              example:
                message: Resource not found
                success: false
          headers: {}
        '500':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
                required:
                  - message
                  - success
              example:
                message: Internal server error
                success: false
          headers: {}
      deprecated: false
      security:
        - bearer: []
components:
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````